/**
 * \file
 *
 * \author	Georg Hopp
 *
 * \copyright
 * Copyright © 2014 Georg Hopp
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "tr/class.h"
#include "tr/interface/serializable.h"

/**
 * Create the serializable interface.
 */
TR_CREATE_INTERFACE(TR_Serializable, 2);

extern inline void TR_serialize(void *, unsigned char **, size_t *);
extern inline void TR_unserialize(void *, const unsigned char *, size_t);

// vim: set ts=4 sw=4:
