/**
 * \file
 * Get an interface implementation from a implementation structure.
 *
 * \author	Georg Hopp
 *
 * \copyright
 * Copyright © 2014 Georg Hopp
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <sys/types.h>
#include <stdlib.h>

#include "tr/interface.h"
#include "tr/commons.h"

/**
 * Get a specific interface implementation from the interface
 * implementation from a class.
 */
TR_iface_ptr
TR_interfaceGet(TR_iface_impl_ptr iface_impl, const TR_iface_ptr iface)
{
	TR_iface_ptr found = (TR_iface_ptr)NULL;
	size_t       i;

	for (i = 0; i < iface_impl->nimpl; i++) {
		if (*(TR_iface_ptr *)(iface_impl->impl[i]) == iface) {
			found = iface_impl->impl[i];
			break;
		}
	}

	return found;
}

// vim: set ts=4 sw=4:
