/**
 * \file
 *
 * \author	Georg Hopp
 *
 * \copyright
 * Copyright © 2014 Georg Hopp
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdarg.h>
#include <string.h>
#include <sys/types.h>

#include "trbase.h"

#include "tr/sized_data.h"

static
int
sizedDataCtor(void * _this, va_list * params)
{
	TR_SizedData   this = _this;
	char         * data = va_arg(*params, char *);

	this->size = va_arg(*params, size_t);

	if (data != NULL) {
		this->data = TR_malloc(this->size);
		memcpy(this->data, data, this->size);
	}

	return 0;
}

static
void
sizedDataDtor(void * _this)
{
	TR_MEM_FREE(((TR_SizedData)_this)->data);
}

TR_INIT_IFACE(TR_Class, sizedDataCtor, sizedDataDtor, NULL);
TR_CREATE_CLASS(TR_SizedData, NULL, NULL, TR_IF(TR_Class));

// vim: set ts=4 sw=4:
