/**
 * \file
 *
 * \author	Georg Hopp
 *
 * \copyright
 * Copyright © 2014 Georg Hopp
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <string.h>     // for atoi() and exit()
#include <errno.h>      // for errno
#include <stdio.h>
#include <unistd.h>

#include "tr/sized_data.h"

void
TR_sizedDataSetData(TR_SizedData this, const char * data, size_t size)
{
	if (this->data && TR_getSize(this->data) < size) {
		TR_MEM_FREE(this->data);
	}

	if (! this->data) {
		this->data = TR_malloc(size);
	}

	this->size = size;
	memcpy(this->data, data, size);
}

// vim: set ts=4 sw=4:
