/**
 * \file
 *
 * \author	Georg Hopp
 *
 * \copyright
 * Copyright © 2014 Georg Hopp
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>

#include "trbase.h"
#include "tr/logger.h"
#include "tr/interface/logger.h"

static
void
logStderr(void * this, TR_logger_level level, const char * const msg)
{
	fprintf(stderr, "[%s] %s\n", TR_logger_level_str[level], msg);
	fflush(stderr);
}

TR_INIT_IFACE(TR_Logger, logStderr);
TR_CREATE_CLASS(TR_LoggerStderr, TR_Logger, NULL, TR_IF(TR_Logger));

TR_INSTANCE(TR_LoggerStderr, TR_debugConlogger, {TR_LOGGER_DEBUG});
TR_Logger TR_logger = TR_INSTANCE_CAST(TR_Logger, TR_debugConlogger);

// vim: set ts=4 sw=4:
